# Class IfcTransparencySettings

Transparency settings for IFC objects.

##### Index

### Constructors

constructor

### Properties

ditheringOptions
mode

## Constructors

### constructor

- new IfcTransparencySettings(): IfcTransparencySettings

  #### Returns IfcTransparencySettings

## Properties

### ditheringOptions

ditheringOptions: DitheringOptions = ...

#### Param: ditheringMode

What dithering mode to use, bayer uses a bayer matrix to determine which pixels to render opaque, blue noise uses a blue noise texture

#### Param: animatedFrames

How many frames to use for the dithering animation when moving the camera, if 1 then no animation is used. Works best with Blue Noise

#### Param: ditherDiscardDepth

Wheter or not to discard fragments in the depth shader that are dithered, this is needed for transparent objects to not write to the depth buffer

### mode

mode: TransparencyMode = TransparencyMode.Seethrough

Changes how transparency is handled for transparent IFC objects

#### Param: transparencyMode

The type of rendering that will be used for all transparent IFC objects, dithering means that pixels are rendered opaque but skipping every few pixels in a screen pattern depending on the opacity Seethrough is normal alpha blending AnimatedFrames changes the noise from every frame in a loop, when the camera moves, to fight a visual swimming effect when the camera moves, set to 1 to dis